#ifndef XITEMDEFDATA_H
#define XITEMDEFDATA_H

#include "xasset.h"
#include "xlistboxdef.h"
#include "xeditfielddefinition.h"
#include "xmultidef.h"

class XItemDef;

class XItemDefData : public XAsset
{
public:
    explicit XItemDefData();
    XItemDefData(XItemDef& aParent);
    ~XItemDefData();

    void Clear() override;
    void ParseData(QDataStream *aStream) override;

private:
    XListBoxDef mListBox;
    XEditFieldDefinition mEditField;
    XMultiDef mMulti;
    XString mEnumDvarName;
    XItemDef* mParent;
};

#endif // XITEMDEFDATA_H
